Subject: bug#56894: closed (Re: bug#56894: Don't set outline-level to texinfo-outline-level)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 02 Aug 2022 20:13:02 +0000

Your bug report

#56894: Don't set outline-level to texinfo-outline-level

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56894: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56894
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56894: Don't set outline-level to texinfo-outline-level
From: Tassilo Horn <[email-masked]>
To: Philip Kaludercic <[email-masked]>
Cc: [email-masked]
Date: Tue, 02 Aug 2022 22:10:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Philip Kaludercic <[email-masked]> writes:

Hi Philip,

> loaded, this triggers an error.  For that reason I'd appreciate it if
> this patch could be applied:
>
> From 213748eeaea7c798f54ad627e8c2b4743d293041 Mon Sep 17 00:00:00 2001
> From: Philip Kaludercic <[email-masked]>
> Date: Tue, 2 Aug 2022 19:12:17 +0200
> Subject: [PATCH] * tex-info.el (TeX-texinfo-mode): Don't use texinfo-outline-level

Thanks a lot, it's always interesting how long plain bugs can stay
unnoticed.  I've applied your patch with slight modifications to the
commit message (so that they include the "outer" mails explanation).

Bye,
Tassilo

Subject: Don't set outline-level to texinfo-outline-level
From: Philip Kaludercic <[email-masked]>
To: [email-masked]
Date: Tue, 02 Aug 2022 17:18:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Apparently, the function `texinfo-outline-level' was added to texinfo.el
in 1996 (ChangeLog.6) and removed in 2003 (ChangeLog.10).  In release
9.4f (1996) `outline-level' was set to this then newly added function,
which has been void for 19 years now.

I just noticed it now, because consult[0] checks if `outline-level' is
bound, in which case it is funcall'ed.  In .texi buffer with auctex
loaded, this triggers an error.  For that reason I'd appreciate it if
this patch could be applied:

>From 213748eeaea7c798f54ad627e8c2b4743d293041 Mon Sep 17 00:00:00 2001
From: Philip Kaludercic <[email-masked]>
Date: Tue, 2 Aug 2022 19:12:17 +0200
Subject: [PATCH] * tex-info.el (TeX-texinfo-mode): Don't use texinfo-outline-level

---
 tex-info.el | 1 -
 1 file changed, 1 deletion(-)

diff --git a/tex-info.el b/tex-info.el
index 66e57517..2ee3d7ac 100644
--- a/tex-info.el
+++ b/tex-info.el
@@ -680,7 +680,6 @@ value of `Texinfo-mode-hook'."
        (concat "@\\("
                (mapconcat #'car texinfo-section-list "\\>\\|")
                "\\>\\)"))
-  (set (make-local-variable 'outline-level) 'texinfo-outline-level)
 
   ;; Mostly AUCTeX stuff
   (set (make-local-variable 'TeX-command-current) #'TeX-command-master)
-- 
2.37.1

[0] https://elpa.gnu.org/packages/consult.html